%define	distversion	%(. /etc/os-release 2>/dev/null ; echo $VERSION)

Summary:	PLD Linux prelogin message and identification file
Summary(de.UTF-8):	PLD Linux Systemidentifikationsdatei
Summary(es.UTF-8):	Mensaje pre-entrada y fichero de identificación del sistema de PLD Linux
Summary(fr.UTF-8):	Message d'identification du système avant la connexion de PLD Linux
Summary(it.UTF-8):	Messaggio di identificazione prima del login di PLD Linux
Summary(ja.UTF-8):	PLD Linux の ログイン前に表示されるメッセージとシステム情報のファイル
Summary(pl.UTF-8):	Plik identyfikujący system PLD Linux, wyświetlany przed zalogowaniem
Summary(pt.UTF-8):	Mensagem anteriores ao login e arquivo de identificaçăo do PLD Linux
Summary(ru.UTF-8):	Файл идентификации, содержащий сообщение, выдаваемым перед приглашением в систему PLD Linux
Name:		issue-pure
Version:	3.0
Release:	21
License:	GPL
Group:		Base
BuildRequires:	pld-release >= 3.0
%requires_eq	pld-release
Provides:	issue = %{version}-%{release}
Conflicts:	issue-alpha < 3.0-1
Conflicts:	issue-fancy < 3.0-1
Conflicts:	issue-logo < 3.0-1
Conflicts:	issue-nice < 3.0-1
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
PLD Linux prelogin message and identification file.

%description -l de.UTF-8
PLD Linux Systemidentifikationsdatei.

%description -l es.UTF-8
Mensaje pre-entrada y fichero de identificación del sistema de
PLD Linux.

%description -l fr.UTF-8
Message d'identification du système avant la connexion de PLD Linux.

%description -l it.UTF-8
Messaggio di identificazione prima del login di PLD Linux.

%description -l ja.UTF-8
PLD Linux の ログイン前に表示されるメッセージとシステム情報のファイル。

%description -l pl.UTF-8
Plik identyfikujący system PLD Linux, wyświetlany przed zalogowaniem.

%description -l pt.UTF-8
Mensagem anteriores ao login e arquivo de identificaçăo do PLD Linux.

%description -l ru.UTF-8
Файл идентификации, содержащий сообщение, выдаваемым перед
приглашением в систему PLD Linux.

%prep

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_sysconfdir}

cat > $RPM_BUILD_ROOT%{_sysconfdir}/issue <<EOF
PLD Linux %{distversion} \m, \r
Welcome to \n
\u user(s)

EOF
echo -ne "\l " >> $RPM_BUILD_ROOT%{_sysconfdir}/issue

cat > $RPM_BUILD_ROOT%{_sysconfdir}/issue.net <<EOF
PLD Linux %{distversion} %m, %r
Welcome to %h

EOF

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%config(noreplace) %{_sysconfdir}/issue*
%changelog
* Tue Jan 03 2023 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/issue-pure.git;a=log;h=master

* Tue Jan 03 2023 Jan Rękorajski <baggins@pld-linux.org> 5399416
- Release 21 (by relup.sh)

* Fri Dec 31 2021 Jan Rękorajski <baggins@pld-linux.org> 82f3dcf
- Release 20 (by relup.sh)

* Fri Dec 31 2021 Jan Rękorajski <baggins@pld-linux.org> 2a22149
- Release 19 (by relup.sh)

* Fri Dec 31 2021 Jan Rękorajski <baggins@pld-linux.org> af8dd46
- Release 18 (by relup.sh)

* Fri Jan 01 2021 Jan Rękorajski <baggins@pld-linux.org> 65d071f
- release 17 (by relup.sh)

* Fri Jan 01 2021 Jan Rękorajski <baggins@pld-linux.org> 0660596
- rebuild for 2020 snapshot
- release 16 (by relup.sh)

* Mon Jan 13 2020 Jan Rękorajski <baggins@pld-linux.org> 2ba1fc3
- release 15 (by relup.sh)

* Mon Jan 13 2020 Jan Rękorajski <baggins@pld-linux.org> d702448
- release 14 (by relup.sh)

* Tue Jan 01 2019 Jan Rękorajski <baggins@pld-linux.org> 851e958
- release 13 (by relup.sh)

* Tue Jan 01 2019 Jan Rękorajski <baggins@pld-linux.org> d901004
- release 12 (by relup.sh)

* Sat Jan 27 2018 Jan Rękorajski <baggins@pld-linux.org> da7832a
- release 11 (by relup.sh)

* Sat Jan 27 2018 Jan Rękorajski <baggins@pld-linux.org> 43a3be8
- release 10 (by relup.sh)

* Sun Jan 29 2017 Jan Rękorajski <baggins@pld-linux.org> 1ff61cd
- release 9 (by relup.sh)

* Sun Jan 29 2017 Jan Rękorajski <baggins@pld-linux.org> 2b3e179
- release 8 (by relup.sh)

* Sat Dec 06 2014 Jan Rękorajski <baggins@pld-linux.org> f11b8a1
- release 7 (by relup.sh)

* Sat Dec 06 2014 Jan Rękorajski <baggins@pld-linux.org> 7bf0b6e
- release 6 (by relup.sh)

* Tue Dec 31 2013 Jan Rękorajski <baggins@pld-linux.org> ba0af74
- release 5 (by relup.sh)

* Tue Dec 31 2013 Jan Rękorajski <baggins@pld-linux.org> 27ddad7
- release 4 (by relup.sh)

* Wed Jul 03 2013 Jan Rękorajski <baggins@pld-linux.org> 8135d6d
- versioned P:issue
- rel 3

* Sun Jun 16 2013 Jan Rękorajski <baggins@pld-linux.org> 16a3829
- fixed version, only use /etc/os-release for generating issue file

